List wallets
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/wallets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"items": [
{
"id": "cmgx2k1qv0002s60f1a9b8c7d",
"kind": "FIAT",
"currency": "XOF",
"label": "XOF wallet",
"balance": "1250000",
"reserved": "15150",
"available": "1234850",
"chain": null,
"address": null,
"byCountry": [
{
"country": "BJ",
"amount": "1250000"
}
]
}
]
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}Wallets
List wallets
available = balance − reserved (funds held for payouts in progress). Use available to decide whether you can pay out.
GET
/
v1
/
wallets
List wallets
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/wallets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"items": [
{
"id": "cmgx2k1qv0002s60f1a9b8c7d",
"kind": "FIAT",
"currency": "XOF",
"label": "XOF wallet",
"balance": "1250000",
"reserved": "15150",
"available": "1234850",
"chain": null,
"address": null,
"byCountry": [
{
"country": "BJ",
"amount": "1250000"
}
]
}
]
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}⌘I
